SDL_ClipboardEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
bool | owner
Sint32 | num_mime_types
const char ** | mime_types

## Detailed Description

An event triggered when the clipboard contents have changed (event.clipboard.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 948 of file SDL_events.h.

## Field Documentation

## mime_types

const char** SDL_ClipboardEvent::mime_types

current mime types

Definition at line 955 of file SDL_events.h.

## num_mime_types

Sint32 SDL_ClipboardEvent::num_mime_types

number of mime types

Definition at line 954 of file SDL_events.h.

## owner

bool SDL_ClipboardEvent::owner

are we owning the clipboard (internal update)

Definition at line 953 of file SDL_events.h.

## reserved

Uint32 SDL_ClipboardEvent::reserved

Definition at line 951 of file SDL_events.h.

## timestamp

Uint64 SDL_ClipboardEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 952 of file SDL_events.h.

## type

SDL_EventType SDL_ClipboardEvent::type

SDL_EVENT_CLIPBOARD_UPDATE

Definition at line 950 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h